Subject: bug#9208: article has a nil data header

From: Ted Zlatanov <[email-masked]>
Date: Tue, 24 Jan 2012 16:40:30 -0600

On Sun, 31 Jul 2011 18:13:40 +0200 Lars Magne Ingebrigtsen <[email-masked]> wrote: 

LMI> Dave Abrahams <[email-masked]> writes:
>> Naturally I have no idea how I got here and no confidence that I can
>> reproduce it, but this just appeared in my *Messages* buffer.  I thought
>> someone should know.
>> 
>> Mark all unread articles as read? (y or n) 
>> Exiting summary buffer and applying spam rules
>> Article 52 has a nil data header
>> Article 45 has a nil data header
>> Article 39 has a nil data header

LMI> Ted probably knows what this means.  :-)  Ted?

My guess is that Dave had multiple summary buffers open and spam.el
doesn't keep separate article lists per summary buffer.  So on exit,
spam.el tried to look up missing articles.

See my earlier e-mail on the topic of spam2.el.

Ted